Subject: 1Why do you cost me? Irina.

From: Elena <[email-masked]>
Date: Thu, 28 Jan 2010 12:06:36 -0800 (PST)

Hey - why do I stop writing? "I very much waited your letter - every day,
I now have a website, come to my page and write to me at last,
I'm waiting for you, and I want to meet with you, kisses - Nadia from Russia!
Click here